classification
Title: Pickle protocol v 5 needs to be documented
Type: Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Dima.Tisnek, docs@python, miss-islington, nanjekyejoannah, pitrou, taleinat
Priority: normal Keywords: patch

Created on 2019-10-06 23:51 by Dima.Tisnek, last changed 2019-11-03 12:03 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16639 merged Dima.Tisnek, 2019-10-08 06:46
PR 17035 merged miss-islington, 2019-11-03 11:55
Messages (4)
msg354054 - (view) Author: Dima Tisnek (Dima.Tisnek) * Date: 2019-10-06 23:51
Python 3.8 brings new pickle protocol, version 5.
It's not documented.

```
(venv) … ~/m/proj> python
Python 3.7.4 (v3.7.4:e09359112e, Jul  8 2019, 14:54:52)
[Clang 6.0 (clang-600.0.57)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> import pickle
>>> pickle.HIGHEST_PROTOCOL
4
>>> ^D
(venv) … ~/m/proj> python3.8
Python 3.8.0rc1 (v3.8.0rc1:34214de6ab, Oct  1 2019, 12:56:49)
[Clang 6.0 (clang-600.0.57)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> import pickle
>>> pickle.HIGHEST_PROTOCOL
5
>>> ^D
```

Yet there's no mention of "protocol version 5" at:

https://github.com/python/cpython/blob/master/Doc/library/pickle.rst
https://docs.python.org/3.9/library/pickle.html#data-stream-format
https://docs.python.org/3.8/library/pickle.html#data-stream-format
msg355894 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2019-11-03 11:55
New changeset d0e0f5bf0c07ca025f54df21fd1df55ee430d9fc by Tal Einat (Dima Tisnek) in branch 'master':
bpo-38388: Document pickle protocol version 5 (GH-16639)
https://github.com/python/cpython/commit/d0e0f5bf0c07ca025f54df21fd1df55ee430d9fc
msg355895 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2019-11-03 11:57
Thanks for the report and the PR, Dima!
msg355896 - (view) Author: miss-islington (miss-islington) Date: 2019-11-03 12:03
New changeset 87af51847b2fc911f2c1e82be58a7aa3bb5bd2ca by Miss Skeleton (bot) in branch '3.8':
bpo-38388: Document pickle protocol version 5 (GH-16639)
https://github.com/python/cpython/commit/87af51847b2fc911f2c1e82be58a7aa3bb5bd2ca
History
Date User Action Args
2019-11-03 12:03:22miss-islingtonsetnosy: + miss-islington
messages: + msg355896
2019-11-03 11:57:20taleinatsetstatus: open -> closed
versions: + Python 3.9
messages: + msg355895

resolution: fixed
stage: patch review -> resolved
2019-11-03 11:55:58taleinatsetnosy: + taleinat
messages: + msg355894
2019-11-03 11:55:54miss-islingtonsetpull_requests: + pull_request16547
2019-10-18 15:13:33pablogsallinkissue38518 superseder
2019-10-08 06:46:40Dima.Tisneksetkeywords: + patch
stage: patch review
pull_requests: + pull_request16225
2019-10-08 00:42:49xtreaksetnosy: + pitrou
2019-10-07 18:04:19nanjekyejoannahsetnosy: + nanjekyejoannah
2019-10-06 23:51:13Dima.Tisnekcreate